Platforms

Create a new Platform

POST
/platforms

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/platforms" \  -H "Content-Type: application/json" \  -d '{}'
{  "platformId": "string",  "address": "string",  "credentials": {    "username": "string"  },  "environment": "production",  "name": "string",  "provider": "string",  "timeZone": "string",  "minPositionLifetime": 0,  "metrics": [    {      "key": "trades",      "value": 0    }  ],  "createTime": "2019-08-24T14:15:22Z",  "updateTime": "2019-08-24T14:15:22Z",  "uuid": "string",  "workStatus": "enabled"}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}